osmosdr::device_t
std::map< K, T >
device.h
osmosdr::device_t::device_t
(const std::string &args="")
device_t
osmosdr::device_t::device_t
const std::string & args ""

Create a logical device from an args string. args

the arguments string

std::string std::string osmosdr::device_t::to_pp_string (void) const to_pp_string osmosdr::device_t::to_pp_string void

Convert a logical device into a pretty print string.

a printable string representing the device

std::string std::string osmosdr::device_t::to_string (void) const to_string osmosdr::device_t::to_string void

Convert the logical device into an args string. The args string contains delimiter symbols.

a string with delimiter markup

typename T
T T osmosdr::device_t::cast (const std::string &key, const T &def) const cast osmosdr::device_t::cast const std::string & key const T & def

Lexically cast a parameter to the specified type, or use the default value if the key is not found. key

the key as one of the parameters

def

the value to use when key is not present

the casted value as type T or the default

error

when the parameter cannot be casted

Mapping of key/value pairs for locating devices on the system. When left empty, the device discovery routines will search all available transports on the system (ethernet, usb...).

The logical device can also be used to pass arguments into the transport layer control to set (for example) buffer sizes.

An arguments string, is a way to represent a device address using a single string with delimiter characters.

osmosdr::device_t
string_string_dict_t
K
T
osmosdr::device_t
string_string_dict_t
keys
elements
- osmosdr::device_t
  cast
- osmosdr::device_t
  device_t
- osmosdr::device_t
  elements
- osmosdr::device_t
  keys
- osmosdr::device_t
  to_pp_string
- osmosdr::device_t
  to_string